> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/using-the-graphql-api/mutations/pricelistchargeupdate.md).

# priceListChargeUpdate

Update a charge on a price list

**Scope required:** product:write

For a complete list of input attributes see the [PriceListChargeAttributes](/developer/api-reference/types/pricelistchargeattributes.md) type

```graphql
mutation priceListChargeUpdate ($id: ID!, $attributes: PriceListChargeAttributes!) {
  priceListChargeUpdate (id: $id, attributes: $attributes) {
      errors
      priceListCharge {
        accountingCode
        avalaraAfcSaleType
        avalaraAfcServiceType
        avalaraAfcTransactionType
        basePrice
        code
        createdAt
        deprecated
        featureAddon
        featureId
        financialAccountId
        hidePeriodsOnInvoice
        id
        isTelecomCharge
        longName
        name
        position
        price
        priceDecimals
        priceDescription
        priceListId
        productId
        quantityMax
        quantityMin
        recognitionPeriod
        removeOnRenewal
        roundUpInterval
        selfServiceQuantity
        showPriceAsMonthly
        specificInvoiceLineText
        taxCode
        updatedAt
      }
  }
}
```

## Arguments

```json
{
  "id": "456123",
  "attributes": {
    "id": "456123",
    "priceListId": "456123",
    "name": "",
    "code": "",
    "selfServiceQuantity": true,
    "specificInvoiceLineText": "",
    "pricingModel": "PricingModel",
    "chargeType": "ChargeType",
    "billingPeriod": "BillingPeriod",
    "showPriceAsMonthly": true,
    "accountingCode": "",
    "taxCode": "",
    "quantityMin": 123,
    "quantityMax": 123,
    "roundUpInterval": 123,
    "price": "BigDecimal",
    "priceDecimals": 123,
    "position": 123,
    "featureId": "456123",
    "featureCode": "",
    "featureAddon": true,
    "usageCalculationType": "UsageCalculation",
    "recognitionPeriod": 123,
    "financialAccountId": "456123",
    "isTelecomCharge": true,
    "avalaraAfcTransactionType": "",
    "avalaraAfcServiceType": "",
    "avalaraAfcSaleType": "",
    "hidePeriodsOnInvoice": true,
    "priceListChargeTiers": [
      {
        "starts": 123,
        "price": "BigDecimal"
      }
    ]
  }
}
```

| Name       | Type                                                                                     | Description |
| ---------- | ---------------------------------------------------------------------------------------- | ----------- |
| id         | ID                                                                                       |             |
| attributes | [PriceListChargeAttributes](/developer/api-reference/types/pricelistchargeattributes.md) |             |

## Response

| Name            | Type                                                                 | Description |
| --------------- | -------------------------------------------------------------------- | ----------- |
| errors          | List (String)                                                        |             |
| priceListCharge | [PriceListCharge](/developer/api-reference/types/pricelistcharge.md) |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/pricelistchargeupdate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
